Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 1306813009: H.264 video codec support using OpenH264/FFmpeg (Closed)

Created:
4 years, 1 month ago by hbos
Modified:
3 years, 8 months ago
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com, stefan-webrtc, mflodman, hta - Chromium
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

H.264 video codec support using OpenH264 (http://www.openh264.org/) for encoding and FFmpeg (https://www.ffmpeg.org/) for decoding. It works on all platforms except Android and iOS (FFmpeg limitation). Implemented behind compile time flags, off by default. The plan is to have it enabled in Chrome (see bug), but not in Chromium/webrtc by default. Flags to turn it on: - rtc_use_h264 = true - ffmpeg_branding = "Chrome" (or other brand that includes H.264 decoder) Tests using H264: - video_loopback --codec=H264 - screenshare_loopback --codec=H264 - video_engine_tests (EndToEndTest.SendsAndReceivesH264) NOTRY=True BUG=500605, 468365 BUG=https://bugs.chromium.org/p/webrtc/issues/detail?id=5424 Committed: https://crrev.com/bab934bffe5c4b7e5cd6e8fee2c9c2682002d59b Cr-Commit-Position: refs/heads/master@{#11390}

Patch Set 1 : Initial encoder/decoder implementations, scavanged from old hbos appspot CL #

Patch Set 2 : H264 in EndToEndTest.SendsAndReceivesH264 #

Patch Set 3 : H264 in video_loopback and bitrate,etc bugfixes #

Patch Set 4 : RTPDefragmentize, videoprocessor_unittest: H264 with no packet loss #

Total comments: 4

Patch Set 5 : H264 in full_stack (for full_stack_quality_sampler) and screenshare_loopback #

Patch Set 6 : OpenH264 behind compiler flag (gyp: use_openh264, #if: WEBRTC_OPENH264) #

Patch Set 7 : H264EncoderImpl: Reallocating EncodedImage buffer if necessary #

Total comments: 1

Patch Set 8 : Misc (WebRtcVideoChannel2::...::ConfigureVideoEncoderSettings care about H264 case) #

Total comments: 89

Patch Set 9 : Addressed noahric's comments. Handling kKeyFrame, kSkipFrame. #

Patch Set 10 : Addressed stefan's comments #

Total comments: 12

Patch Set 11 : Rebase with master. This undos my full_stack changes because of heavy refactoring (un-supporting H264 in video_loopback and screenshare_loopback) #

Patch Set 12 : Re-enable H264 in video_loopback and screenshare_loopback after rebase (video_quality_test) #

Total comments: 8

Patch Set 13 : Addressed stefan and hta comments #

Total comments: 38

Patch Set 14 : Rebase with master after some time #

Patch Set 15 : Addressed comments (type safety, overflow check) #

Patch Set 16 : Rebase with master #

Patch Set 17 : OpenH264 from third_party, H264DecoderImpl /w FFmpeg instead of OpenH264 #

Patch Set 18 : (temporary debug prints) #

Patch Set 19 : Rebase with master (and remove temporary debug prints) #

Total comments: 2

Patch Set 20 : GN build files and minor changes #

Patch Set 21 : sync_chromium.py SCRIPT_VERSION bumped ensuring ffmpeg is synced #

Total comments: 30

Patch Set 22 : Addressed noahric's comments + minor fixes #

Total comments: 5

Patch Set 23 : Addressed nits #

Total comments: 34

Patch Set 24 : Addressed comments #

Patch Set 25 : Rebase with master #

Patch Set 26 : Rebase with master #

Total comments: 8

Patch Set 27 : Rebase master (after other CL): rtc_use_h264 flag. Override its default to true for trybots. #

Patch Set 28 : Rebase master (after other CL): EncodedImage::GetBufferPaddingBytes #

Patch Set 29 : Padding = 8, fixing ffmpeg overreading input buffer memory issue #

Patch Set 30 : Applied other CL patch (use padding fix). Encoder output CodecSpecificInfo to Encoded cb. #

Patch Set 31 : Addressed comments #

Patch Set 32 : Rebase with master. H264 disabled on android. #

Patch Set 33 : Fixed memory issue (avcodec_align_dimensions + crop) #

Patch Set 34 : Rebase with master, updated comment #

Patch Set 35 : Rebase with master, flags off my default #

Patch Set 36 : (Alphabetical sorting in common_video.gyp deps) #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1053 lines, -32 lines) Patch
M talk/media/webrtc/webrtcvideoengine2.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +1 line, -0 lines 0 comments Download
M talk/media/webrtc/webrtcvideoengine2.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +5 lines, -0 lines 0 comments Download
M talk/media/webrtc/webrtcvideoengine2_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 2 chunks +4 lines, -3 lines 0 comments Download
M webrtc/build/common.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 1 chunk +1 line, -1 line 0 comments Download
M webrtc/build/webrtc.gni View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +1 line, -1 line 0 comments Download
M webrtc/common_video/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/common_video/common_video.gyp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/common_video/video_frame.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 1 chunk +3 lines, -3 lines 0 comments Download
M webrtc/modules/modules.gyp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 2 chunks +8 lines, -0 lines 0 comments Download
M webrtc/modules/video_coding/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 1 chunk +8 lines, -4 lines 0 comments Download
M webrtc/modules/video_coding/codecs/h264/h264.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 27 4 chunks +28 lines, -3 lines 0 comments Download
M webrtc/modules/video_coding/codecs/h264/h264.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 1 chunk +9 lines, -2 lines 0 comments Download
A webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +65 lines, -0 lines 0 comments Download
A webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 1 chunk +362 lines, -0 lines 0 comments Download
A webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +70 lines, -0 lines 0 comments Download
A webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 1 chunk +401 lines, -0 lines 0 comments Download
M webrtc/modules/video_coding/codecs/h264/include/h264.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 27 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/video_coding/codecs/test/videoprocessor.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 1 chunk +2 lines, -1 line 0 comments Download
M webrtc/modules/video_coding/codecs/test/videoprocessor.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 3 chunks +13 lines, -4 lines 0 comments Download
M webrtc/modules/video_coding/codecs/test/videoprocessor_integrationtest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 4 chunks +44 lines, -2 lines 0 comments Download
M webrtc/test/encoder_settings.cc View 1 2 1 chunk +3 lines, -1 line 0 comments Download
M webrtc/video/end_to_end_tests.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 5 chunks +12 lines, -6 lines 0 comments Download
M webrtc/video/video_quality_test.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 2 chunks +5 lines, -1 line 0 comments Download
M webrtc/webrtc_tests.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +5 lines, -0 lines 0 comments Download

Messages

Total messages: 93 (43 generated)
Niklas Enbom
https://codereview.webrtc.org/1306813009/diff/120001/webrtc/modules/video_coding/codecs/h264/h264.gypi File webrtc/modules/video_coding/codecs/h264/h264.gypi (right): https://codereview.webrtc.org/1306813009/diff/120001/webrtc/modules/video_coding/codecs/h264/h264.gypi#newcode34 webrtc/modules/video_coding/codecs/h264/h264.gypi:34: '-L../../webrtc/modules/video_coding/codecs/h264/openh264', FYI does not work when building chrome https://codereview.webrtc.org/1306813009/diff/120001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc ...
4 years, 1 month ago (2015-09-14 22:33:15 UTC) #5
hbos
PTAL, H264-loving reviewers. Not landable yet - when we have sorted out if we are ...
4 years, 1 month ago (2015-09-15 15:25:34 UTC) #10
hbos
Bump. mflodman, holmer?
4 years, 1 month ago (2015-09-22 09:14:58 UTC) #11
noahric
First pass, sorry for the delay! https://codereview.webrtc.org/1306813009/diff/250001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc (right): https://codereview.webrtc.org/1306813009/diff/250001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc#newcode35 webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc:35: case videoFrameTypeIDR: IDR ...
4 years ago (2015-09-25 00:11:32 UTC) #12
stefan-webrtc
https://codereview.webrtc.org/1306813009/diff/250001/talk/media/webrtc/webrtcvideoengine2_unittest.cc File talk/media/webrtc/webrtcvideoengine2_unittest.cc (right): https://codereview.webrtc.org/1306813009/diff/250001/talk/media/webrtc/webrtcvideoengine2_unittest.cc#newcode670 talk/media/webrtc/webrtcvideoengine2_unittest.cc:670: // Test external codec with be added to the ...
4 years ago (2015-09-28 11:19:03 UTC) #16
hbos
Addressed noahric's comments. (Stefan just added comments a few minutes ago too, will address these ...
4 years ago (2015-09-28 11:33:20 UTC) #17
stefan-webrtc
https://codereview.webrtc.org/1306813009/diff/250001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc (right): https://codereview.webrtc.org/1306813009/diff/250001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc#newcode50 webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc:50: // with the four-byte NAL header {0,0,0,1}. To save ...
4 years ago (2015-09-28 11:53:55 UTC) #18
hbos
Please take another look https://codereview.webrtc.org/1306813009/diff/250001/talk/media/webrtc/webrtcvideoengine2_unittest.cc File talk/media/webrtc/webrtcvideoengine2_unittest.cc (right): https://codereview.webrtc.org/1306813009/diff/250001/talk/media/webrtc/webrtcvideoengine2_unittest.cc#newcode670 talk/media/webrtc/webrtcvideoengine2_unittest.cc:670: // Test external codec with ...
4 years ago (2015-09-30 15:35:19 UTC) #19
stefan-webrtc
https://codereview.webrtc.org/1306813009/diff/250001/webrtc/modules/video_coding/codecs/h264/h264.cc File webrtc/modules/video_coding/codecs/h264/h264.cc (right): https://codereview.webrtc.org/1306813009/diff/250001/webrtc/modules/video_coding/codecs/h264/h264.cc#newcode55 webrtc/modules/video_coding/codecs/h264/h264.cc:55: return !IsH264CodecSupportedObjC(); On 2015/09/30 15:35:18, hbos wrote: > On ...
4 years ago (2015-10-01 08:19:30 UTC) #20
hta - Chromium
Some drive-by comments, mostly related to testing. https://codereview.webrtc.org/1306813009/diff/370001/webrtc/build/common.gypi File webrtc/build/common.gypi (right): https://codereview.webrtc.org/1306813009/diff/370001/webrtc/build/common.gypi#newcode132 webrtc/build/common.gypi:132: # CHECK ...
4 years ago (2015-10-01 09:45:51 UTC) #22
hbos
Addressed the latest comments. https://codereview.webrtc.org/1306813009/diff/250001/webrtc/modules/video_coding/codecs/h264/h264.cc File webrtc/modules/video_coding/codecs/h264/h264.cc (right): https://codereview.webrtc.org/1306813009/diff/250001/webrtc/modules/video_coding/codecs/h264/h264.cc#newcode55 webrtc/modules/video_coding/codecs/h264/h264.cc:55: return !IsH264CodecSupportedObjC(); On 2015/10/01 08:19:30, ...
4 years ago (2015-10-01 12:19:46 UTC) #23
stefan-webrtc
https://codereview.webrtc.org/1306813009/diff/370001/webrtc/modules/video_coding/codecs/h264/include/h264.h File webrtc/modules/video_coding/codecs/h264/include/h264.h (right): https://codereview.webrtc.org/1306813009/diff/370001/webrtc/modules/video_coding/codecs/h264/include/h264.h#newcode36 webrtc/modules/video_coding/codecs/h264/include/h264.h:36: static bool IsSupportedOpenH264(); On 2015/10/01 12:19:45, hbos wrote: > ...
4 years ago (2015-10-01 13:13:53 UTC) #24
hta-webrtc
CL is blocked on building OpenH264 from source.
3 years, 11 months ago (2015-11-16 09:14:41 UTC) #27
palmer
https://codereview.webrtc.org/1306813009/diff/390001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc (right): https://codereview.webrtc.org/1306813009/diff/390001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc#newcode45 webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc:45: return WEBRTC_VIDEO_CODEC_ERR_PARAMETER; Ultimately it may be a good idea ...
3 years, 11 months ago (2015-11-25 02:20:50 UTC) #29
palmer
I strongly recommend setting bounds on the sizes and offsets, and/or using a safe integer ...
3 years, 11 months ago (2015-11-26 01:30:37 UTC) #30
hbos
PTAL palmer. Not using Chromium's base/numeric because we're in the WebRTC repo, but there's rtc::IsValueInRangeForNumericType. ...
3 years, 10 months ago (2015-11-27 14:43:43 UTC) #32
kjellander_webrtc
https://codereview.webrtc.org/1306813009/diff/570001/chromium/.gclient File chromium/.gclient (left): https://codereview.webrtc.org/1306813009/diff/570001/chromium/.gclient#oldcode13 chromium/.gclient:13: 'src/third_party/ffmpeg': None, (as discussed offline) just changing this file ...
3 years, 9 months ago (2016-01-04 14:52:08 UTC) #37
hbos
Please take a look, reviewers. I want to land this (behind a flag). Now there ...
3 years, 9 months ago (2016-01-04 15:49:06 UTC) #38
noahric
Some comments on the ffmpeg decoder bits, but mostly just stylistic nits. Overall LGTM. https://codereview.webrtc.org/1306813009/diff/610001/webrtc/modules/video_coding/codecs/h264/h264.cc ...
3 years, 9 months ago (2016-01-04 20:49:30 UTC) #39
hbos
PTAL stefan, mflodman, hta. Hoping this can land real soon. If so we might be ...
3 years, 9 months ago (2016-01-07 19:41:15 UTC) #41
kjellander_webrtc
lgtm on the infrastructure changes (*.gn*,*.gyp*,*.py etc) https://codereview.webrtc.org/1306813009/diff/630001/webrtc/modules/video_coding/codecs/h264/h264.gypi File webrtc/modules/video_coding/codecs/h264/h264.gypi (right): https://codereview.webrtc.org/1306813009/diff/630001/webrtc/modules/video_coding/codecs/h264/h264.gypi#newcode31 webrtc/modules/video_coding/codecs/h264/h264.gypi:31: '<(DEPTH)/third_party/openh264/openh264.gyp:openh264_encoder', Sort ...
3 years, 9 months ago (2016-01-08 07:56:24 UTC) #42
stefan-webrtc
lgtm https://codereview.webrtc.org/1306813009/diff/630001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc (right): https://codereview.webrtc.org/1306813009/diff/630001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc#newcode81 webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc:81: return 3; Comment on the same line as ...
3 years, 9 months ago (2016-01-08 09:25:05 UTC) #43
hbos
@palmer: After the LGTM to proceed with OpenH264 for encoding and FFmpeg for decoding I ...
3 years, 9 months ago (2016-01-11 16:21:53 UTC) #44
palmer
https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc (right): https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc#newcode39 webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc:39: // Called by FFmpeg to do mutex operations if ...
3 years, 9 months ago (2016-01-11 22:27:09 UTC) #45
mflodman
https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc (right): https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc#newcode76 webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc:76: static int NumberOfThreads(int width, int height, int number_of_cores) { ...
3 years, 9 months ago (2016-01-12 10:31:25 UTC) #46
hta-webrtc
Metacommentary... https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc (right): https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc#newcode84 webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc:84: // Encoded data > unencoded data, wtf? Allocate ...
3 years, 9 months ago (2016-01-12 10:53:34 UTC) #48
stefan-webrtc
https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc (right): https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc#newcode84 webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc:84: // Encoded data > unencoded data, wtf? Allocate required ...
3 years, 9 months ago (2016-01-12 11:18:33 UTC) #49
mflodman
https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc (right): https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc#newcode84 webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc:84: // Encoded data > unencoded data, wtf? Allocate required ...
3 years, 9 months ago (2016-01-12 11:25:34 UTC) #50
hbos
Addressed comments. PTAL palmer, mflodman. https://codereview.webrtc.org/1306813009/diff/610001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc (right): https://codereview.webrtc.org/1306813009/diff/610001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc#newcode111 webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc:111: // individual plane. On ...
3 years, 9 months ago (2016-01-12 13:56:27 UTC) #51
mflodman
LGTM https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc (right): https://codereview.webrtc.org/1306813009/diff/650001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc#newcode84 webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc:84: // Encoded data > unencoded data, wtf? Allocate ...
3 years, 9 months ago (2016-01-12 13:58:13 UTC) #52
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1306813009/690001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1306813009/690001
3 years, 9 months ago (2016-01-12 14:45:48 UTC) #54
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: ios32_sim_dbg on tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/ios32_sim_dbg/builds/4431) ios_arm64_rel on ...
3 years, 9 months ago (2016-01-12 14:49:46 UTC) #56
hbos
On 2016/01/12 14:49:46, commit-bot: I haz the power wrote: > Dry run: Try jobs failed ...
3 years, 9 months ago (2016-01-12 15:34:14 UTC) #57
hbos
On 2016/01/12 15:34:14, hbos wrote: > On 2016/01/12 14:49:46, commit-bot: I haz the power wrote: ...
3 years, 9 months ago (2016-01-12 15:45:18 UTC) #58
palmer
I really think you should make use of a safe arithmetic library. I know that ...
3 years, 9 months ago (2016-01-20 19:17:47 UTC) #60
Martin Barbella
On 2016/01/20 19:17:47, palmer wrote: > I really think you should make use of a ...
3 years, 9 months ago (2016-01-20 20:33:58 UTC) #61
hbos
PTAL palmer. I addressed the buffer overflow memory issue and changed the build flag in ...
3 years, 9 months ago (2016-01-21 22:30:43 UTC) #68
hbos_chromium
...and reply to comments, whoops. https://codereview.chromium.org/1306813009/diff/710001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc (right): https://codereview.chromium.org/1306813009/diff/710001/webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc#newcode90 webrtc/modules/video_coding/codecs/h264/h264_decoder_impl.cc:90: // cast. See https://bugs.chromium.org/p/webrtc/issues/detail?id=5428. ...
3 years, 9 months ago (2016-01-21 22:31:49 UTC) #70
sanmrtn96
I saw this comment in the encoder implementation which worries me a bit. Have you ...
3 years, 9 months ago (2016-01-22 11:16:08 UTC) #72
hbos
PTAL palmer, all bots are green and I intend to land this shortly. (Defaulting h264 ...
3 years, 8 months ago (2016-01-26 12:47:36 UTC) #76
sanmrtn96
On 2016/01/26 12:47:36, hbos wrote: > Looking at the source code, bIDR is ignored, it ...
3 years, 8 months ago (2016-01-26 13:34:41 UTC) #78
hbos
On 2016/01/26 13:34:41, sanmrtn96 wrote: > Thanks for testing. May I ask you: > > ...
3 years, 8 months ago (2016-01-26 16:24:48 UTC) #79
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1306813009/1010001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1306813009/1010001
3 years, 8 months ago (2016-01-27 09:34:21 UTC) #84
commit-bot: I haz the power
Committed patchset #36 (id:1010001)
3 years, 8 months ago (2016-01-27 09:36:08 UTC) #86
commit-bot: I haz the power
Patchset 36 (id:??) landed as https://crrev.com/bab934bffe5c4b7e5cd6e8fee2c9c2682002d59b Cr-Commit-Position: refs/heads/master@{#11390}
3 years, 8 months ago (2016-01-27 09:36:17 UTC) #88
hbos
On 2016/01/27 09:36:17, commit-bot: I haz the power wrote: > Patchset 36 (id:??) landed as ...
3 years, 8 months ago (2016-01-27 09:41:14 UTC) #89
zjx20
Hi hbos, sorry for asking you the silly questions: What is the specific limitation from ...
3 years, 8 months ago (2016-01-28 03:11:47 UTC) #90
hbos
On 2016/01/28 03:11:47, zjx20 wrote: > Hi hbos, sorry for asking you the silly questions: ...
3 years, 8 months ago (2016-02-05 10:39:59 UTC) #91
hbos
As for why we use two libraries, FFmpeg is already included in Chrome, so not ...
3 years, 8 months ago (2016-02-05 10:43:06 UTC) #92
zjx20
3 years, 8 months ago (2016-02-17 03:25:17 UTC) #93
Message was sent while issue was closed.
On 2016/02/05 10:43:06, hbos wrote:
> As for why we use two libraries, FFmpeg is already included in Chrome, so not
> using OpenH264 for decoding saves binary size. And reusing FFmpeg means
reusing
> what has already been tested and gone through reviews.

Thank you for the explanation!

Powered by Google App Engine
This is Rietveld 408576698